package jalview.datamodel;

import jalview.util.MapList;

/**
 * A data bean to model one or more contiguous regions on one chromosome
 */
public class GeneLoci
{
  /*
   * an identifier for the species
   */
  public final String species;

  /*
   * an identifier for a genome assembly, e.g. GRCh38
   */
  public final String assembly;

  /*
   * a chromosome identifier, e.g. "5" or "X"
   */
  public final String chromosome;

  /*
   * mapping from sequence positions to chromosome locations;
   * any regions with start > end are on the reverse strand
   */
  public final MapList mapping;

  /**
   * Constructor
   * 
   * @param taxon
   * @param ref
   * @param chrId
   * @param map
   */
  public GeneLoci(String taxon, String ref, String chrId, MapList map)
  {
    species = taxon;
    assembly = ref;
    chromosome = chrId;
    mapping = map;
  }
}
